/* Reset en body */
* { margin:0; padding:0; box-sizing:border-box; }
html, body { height: 100%; font-family: Arial, sans-serif; margin: 0; padding: 0;}
body { display: flex; flex-direction: column; min-height: 100vh; }

/* Header */
header {
	display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #333;
    color: white;
    padding: 2vh 4vw;
    position: relative;
}
/* Header inner (foto + titel) */
.header-inner {
    display: flex;
    align-items: center;
    gap: 15px;
}

.header-img {
    height: 40px;
    transition: 0.3s ease;
}
header h1 {  
    font-size: 1.6rem; 
    transition: 0.3s ease; 
}

/* Hamburger */
.hamburger {
    display: block;
    cursor: pointer;
    font-size: 2rem;
}

/* Menu standaard verbergen */
nav {
    display: none;
    position: absolute;
    top: 100%;
    right: 4vw;
    background-color: #333;
	width:60%;
    border-radius: 6px;
    overflow: hidden;
    z-index: 10;
}

/* Menu zichtbaar bij active */
nav.active {
    display: block;
}

/* Menu items verticaal */
nav ul {
	display: flex;
    flex-direction: column;
    list-style: none;
    margin: 0;
    padding: 0;
}

nav li { position: relative; }
nav li a,
nav li span {
    display: block;
    color: #fff;
    text-decoration: none;
    padding: 1rem;
    font-weight: bold;
}

nav li a:hover {
    background-color: #444;
}

/* Submenu styling voor mobiel */
.has-submenu .submenu {
    max-height: 0;
    overflow: hidden;
    background-color: #444;
    transition: max-height 0.3s ease;
}

.has-submenu.open > .submenu {
    max-height: 500px; /* kan aangepast worden */
}

/* Submenu links */
.submenu li a {
	display: block;
    padding: 1rem 2rem;
	font-weight: normal;
}
.submenu li a:hover {
    background-color: #555;
}

/* Main en footer */
main {
	flex: 1;
    display: flex;
/*    flex-direction: column;*/
    justify-content: center;
    align-items: center;
    padding-top: 1rem;
}
.slider {
    position: relative;
    width: min(80vw, 80vh);
    aspect-ratio: 4 / 3;
    overflow: hidden;

/*
	width: 100%;
    max-width: 500px;
    aspect-ratio: 4 / 3;
*/
}

.slider-track {
    display: flex;
    height: 100%;
    transition: transform 1s ease-in-out;
}

.slide {
    min-width: 100%;
    height: 100%;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
footer {
	background-color: #333;
	color: white;
	text-align: center;
	padding: 2vh 4vw;
}